Summary:	Symbolic constants in Python
Summary(pl.UTF-8):	Stałe symboliczne w Pythonie
Name:		python3-constantly
Version:	23.10.4
Release:	2
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/constantly/
Source0:	https://files.pythonhosted.org/packages/source/c/constantly/constantly-%{version}.tar.gz
# Source0-md5:	c090579309b2b34be04385b54b0a5a85
URL:		https://pypi.org/project/constantly/
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
BuildRequires:	python3-versioneer
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library that provides symbolic constant support. It includes
collections and constants with text, numeric, and bit flag values.
Originally twisted.python.constants from the Twisted project.

%description -l pl.UTF-8
Biblioteka zapewniająca obsługę stałych symbolicznych. Obejmuje
kolekcje i stałe o wartościch tekstowych, numerycznych i flagach
bitowych. Wywodzi się z modułu twisted.python.constant z projektu
Twisted.

%prep
%setup -q -n constantly-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS LICENSE README.rst
%{py3_sitescriptdir}/constantly
%{py3_sitescriptdir}/constantly-%{version}-py*.egg-info
%changelog
* Tue Apr 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-constantly.git;a=log;h=master

* Tue Apr 08 2025 Jan Rękorajski <baggins@pld-linux.org> 19b34c6
- Release 2 (by relup.sh)

* Tue Apr 08 2025 Jan Rękorajski <baggins@pld-linux.org> 9dd2412
- fix BR

* Tue Apr 08 2025 Jan Rękorajski <baggins@pld-linux.org> a223982
- up to 23.10.4

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b4cc380
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> fbbbbef
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ce9211a
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 537e05c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a359741
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 2a581f4
- release 2 (by relup.sh)

* Sat Mar 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 1f7bb62
- new

